
Katello - Refactor #24149

Katello should use Foreman plugin API to register template macros

07/03/2018 03:23 PM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category:    

Target version: Katello 3.9.0   

Branch:  Pull request: https://github.com/Katello/katello/pull/749

6

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

#22529 adds a new template rendering engine to core. Katello needs to use the official plugin API for rendering extensions so it can

still add custom template macros.

Related issues:

Related to Foreman - Refactor #22529: Refactor Template rendering to use a pr... Closed

Associated revisions

Revision 9596c684 - 08/07/2018 01:19 PM - Timo Goebel 

fixes #24149 - use new templates renderer

History

#1 - 07/03/2018 03:23 PM - Timo Goebel

- Related to Refactor #22529: Refactor Template rendering to use a proper rendering service added

#2 - 07/03/2018 04:01 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Timo Goebel

- Pull request https://github.com/Katello/katello/pull/7496 added

#3 - 07/18/2018 05:51 PM - Jonathon Turel

- Target version set to Katello 3.9.0

- Triaged changed from No to Yes

#4 - 08/07/2018 02:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset katello|9596c684eb8560af1ec63b5c3d597fc244b59338.

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

https://projects.theforeman.org/issues/22529
https://projects.theforeman.org/projects/katello/repository/katello/revisions/9596c684eb8560af1ec63b5c3d597fc244b59338
http://www.tcpdf.org

